<div class="row">
  <div class="col-sm-8 col-sm-offset-2">

    <h2>Enregistrer un nouveau livre</h2>

    <form [formGroup]="bookForm" (ngSubmit)="onSaveBook()">

      <div class="form-group">
        <label for="title">Titre</label>
        <input type="text" id="title" class="form-control"
               formControlName="title">
      </div>

      <div class="form-group">
        <label for="author">Auteur</label>
        <input type="text" id="author" class="form-control"
               formControlName="author">
      </div>

      <div class="form-group">
        <label for="synopsis">Synopsis</label>
        <textarea id="synopsis" class="form-control"
                  formControlName="synopsis">
        </textarea>
      </div>

      <div class="form-group">
        <h4>Ajouter une photo</h4>
        <input type="file" (change)="detectFiles($event)"
               class="form-control" accept="image/*">
        <p class="text-success" *ngIf="fileIsUploading">Fichier chargé !</p>
      </div>
      <button class="btn btn-success" [disabled]="bookForm.invalid || !fileIsUploading"
              type="submit">Enregistrer
      </button>
    </form>
  </div>
</div>
